define({"0":{i:0.0311454337200864,u:"../Content/P4Perl/about.html",a:"How to use this guide This section provides  navigation tips and  information on typographical conventions, feedback options, and additional documentation. Navigation Use following controls to navigate the content in this manual: The arrow buttons   and   at the top of any page bring you to the next ...",t:"How to use this guide | P4Perl API"},"1":{i:0.0311454337200864,u:"../Content/P4Perl/chapter.perl.html",a:"P4Perl\n      is a Perl module that provides an object-oriented API to Helix Core Server. Using\n      P4Perl\n      is faster than using the command-line interface in scripts, because\n      multiple command can be executed on a single connection, and because it\n      returns Helix Server responses\n    ...",t:"P4Perl"},"2":{i:0.0311454337200864,u:"../Content/P4Perl/perl.requirements.html",a:"P4Perl\n      is supported on Windows, Linux, Solaris, OS X, and FreeBSD.  For system requirements, see the\n      \n      release notes at  https://www.perforce.com/perforce/doc.current/user/p4perlnotes.txt. When passing arguments, make sure to omit the space between the argument and its value, such ...",t:"System Requirements and Release Notes"},"3":{i:0.0311454337200864,u:"../Content/P4Perl/perl.installation.html",a:"Installing P4Perl You can download\n      P4Perl\n      from the\n      Perforce\n      web site at  https://www.perforce.com/downloads/helix-core-api-perl .  After downloading, you can either run the installer or build the\n      interface from source, as described in the release notes.",t:"Installing P4Perl"},"4":{i:0.0311454337200864,u:"../Content/P4Perl/perl.programming.html",a:"Connect to Helix Core Server The following example shows how to connect to a Helix Core Server, run a  p4 info command, and open a file for\n      edit: #!/opt/local/bin/perl -w use strict; use P4; my $p4 = new P4; $p4-\u003eSetClient(\u0027bruno_ws\u0027); $p4-\u003eSetUser(\u0027smoon\u0027); $p4-\u003eSetPort(\u0027localhost:20081\u0027); ...",t:"Programming with P4Perl"},"5":{i:0.0335198714095138,u:"../Content/P4Perl/perl.classes.html",a:"The P4 module consists of several public classes: P4 P4::DepotFile P4::Revision P4::Integration P4::Map P4::MergeData P4::Message P4::OutputHandler P4::Progress P4::Spec The following tables provide brief details about each public class. P4 The main class used for executing\n      Helix Server\n      ...",t:"P4Perl Classes"},"6":{i:0.223391624932129,u:"../Content/P4Perl/perl.p4.html",a:"Description Main interface to the\n      Helix Server\n      client API. This module provides an object-oriented interface to Helix Server, the\n      Perforce\n      version control system. Data is returned in Perl arrays and hashes and\n      input can also be supplied in these formats. Each  P4 object ...",t:"Class P4"},"7":{i:0.0335198714095138,u:"../Content/P4Perl/perl.p4_depotfile.html",a:"Description P4::DepotFile objects are used to present\n      information about files in the\n      Helix Server\n      repository. They are returned by P4::RunFilelog(). Class Methods None. Instance Methods $df-\u003eDepotFile() -\u003e string Returns the name of the depot file to which this object refers. ...",t:"Class P4::DepotFile"},"8":{i:0.0335198714095138,u:"../Content/P4Perl/perl.p4_revision.html",a:"Description P4::Revision objects are represent individual\n      revisions of files in the\n      Helix Server\n      repository. They are returned as part of the output of\n      P4::RunFilelog(). Class Methods $rev-\u003eIntegrations() -\u003e\n      array Returns an array of  P4::Integration objects\n      ...",t:"Class P4::Revision"},"9":{i:0.0335198714095138,u:"../Content/P4Perl/perl.p4_integration.html",a:"Description P4::Integration objects represent\n      Helix Server\n      integration records. They are returned as part of the output of\n      P4::RunFilelog(). Class Methods None. Instance Methods $integ-\u003eHow() -\u003e string Returns the type of the integration record - how that record was\n      created. ...",t:"Class P4::Integration"},"10":{i:0.0335198714095138,u:"../Content/P4Perl/perl.p4_map.html",a:"Description The  P4::Map class allows users to create and work\n      with\n      Helix Server\n      mappings, without requiring a connection to a Helix Server. Class Methods $map = new P4::Map( [ array ] ) -\u003e aMap Constructs a new  P4::Map object. $map-\u003eJoin( map1, map2 ) -\u003e aMap Join two  P4::Map ...",t:"Class P4::Map"},"11":{i:0.0335198714095138,u:"../Content/P4Perl/perl.p4_mergedata.html",a:"Description Class containing the context for an individual merge during execution of\n      a  p4 resolve. Users may not create objects of this\n      class; they are created internally during P4::RunResolve(),\n      and passed down to the Resolve() method of a\n       P4::Resolver subclass. Class ...",t:"Class P4::MergeData"},"12":{i:0.0335198714095138,u:"../Content/P4Perl/perl.p4_message.html",a:"Description P4::Message objects contain error or other\n      diagnostic messages from the\n      Helix Core Server; they are\n      returned by P4::Messages(). Script writers can test the severity of the messages in order to\n      determine if the server message consisted of command output\n      ...",t:"Class P4::Message"},"13":{i:0.0335198714095138,u:"../Content/P4Perl/perl.p4_outputhandler.html",a:"Description The  P4::OutputHandler class provides access to\n      streaming output from the server. After defining the output handler, call\n      P4::SetHandler() with your implementation of\n       P4::OutputHandler. Because\n      P4Perl\n      does not provide a template or superclass, your output ...",t:"Class P4::OutputHandler"},"14":{i:0.0335198714095138,u:"../Content/P4Perl/perl.p4_progress.html",a:"Description The  P4::Progress provides access to progress\n      indicators from the server. After defining the progress class, call\n      P4::SetProgress() with your implementation of\n       P4::Progress. Because\n      P4Perl\n      does not provide a template or superclass, you must implement all ...",t:"Class P4::Progress"},"15":{i:0.223391624932129,u:"../Content/P4Perl/perl.p4_resolver.html",a:"Description P4::Resolver is a class for handling resolves in\n      Helix Server. It is\n      intended to be subclassed, and for subclasses to override the\n      Resolve() method. When P4::RunResolve() is\n      called with a  P4::Resolver object, it calls the\n      P4::Resolver::Resolve() method of ...",t:"Class P4::Resolver"},"16":{i:0.0335198714095138,u:"../Content/P4Perl/perl.p4_spec.html",a:"Description P4::Spec objects provide easy access to the\n      attributes of the fields in a\n      Helix Server\n      form. The  P4::Spec class uses Perl’s AutoLoader to\n      simplify form manipulation. Form fields can be accessed by calling a\n      method with the same name as the field prefixed by ...",t:"Class P4::Spec"},"17":{i:0.0311454337200864,u:"../Content/Shared/glossary.html",a:"Glossary",t:"Glossary"},"18":{i:0.0311454337200864,u:"../Content/P4Perl/license.statements.html",a:"Perforce programs include software developed by the University of\n    California, Berkeley and its contributors. This product includes\n    software developed by the OpenSSL Project for use in the OpenSSL\n    Toolkit ( http://www.openssl.org/ ).\n   Perforce Software, Inc. includes software from the ...",t:"License Statements"},});